<?php
$KOD=V($_GET['ID']);
//++
$r=gr("vis_fes_ndc","ID=$KOD");
$TOTAL_DETALLADO=0;
$EMP_NOM_COM=$r['EMP_NOM_COM'];
$EMP_NOM=$r['EMP_NOM'];
$EMP_DIR=$r['EMP_DIR'];
$EMP_DIR_UBI=$r['EMP_DIR_DIS']." - ".$r['EMP_DIR_PRO']." - ".$r['EMP_DIR_DEP'];
$EMP_RUC=$r['EMP_RUC'];
//
$DOC_SER=$r['NDC_SER_'];
$DOC_NUM=vbr("0000000000000".$r['NDC_NUM_'],8);
//
$REF_COM=$r['REF_COM'];
$REF_SER=$r['REF_SER_'];
$REF_NUM=vbr("00000000000".$r['REF_NUM_'],8);
//
//
$CLI_NOM=$r['NDC_CLI_NOM'];
$CLI_DIR=$r['NDC_CLI_DIR'];
$CLI_NDI=$r['NDC_CLI_NDI'];
//
if($REF_COM=="BOL. ELEC."){
	$REF_COM="BOLETA DE VENTA ELECTRONICA";
	$DOC_SER="B".vbr("000".$DOC_SER,3);
	$REF_SER="B".vbr("000".$REF_SER,3);
	if(strlen($CLI_NDI)==8){
		if(strlen($r['CLI_TDI'])==0){
			$CLI_TDI="DNI";
		}else{
			$CLI_TDI=$r['CLI_TDI'];
		}
	}else{
		$CLI_TDI=$r['CLI_TDI'];
		if($CLI_TDI=="OTROS"){
			$CLI_TDI="NRO DOC";
		}
	}
}else{
	if($REF_COM=="FACT. ELEC."){
		$TOTAL_DETALLADO=1;
		$CLI_TDI="RUC";
		$REF_COM="FACTURA ELECTRONICA";
		$REF_SER="F".vbr("000".$REF_SER,3);
		$DOC_SER="F".vbr("000".$DOC_SER,3);
	}else{
		$CLI_TDI="NRO DOC";
	}
}
//
$DOC_SER_NUM=$DOC_SER."-".$DOC_NUM;
$DOC_FEC=$r['NDC_FEC_'];
$DOC_SUB=$r['SUB'];
$DOC_IGV=$r['IGV'];
$DOC_TOT=$r['TOT'];
$DOC_MOT=$r['MOT_DES'];
//
$CODE_QR=$EMP_RUC."|07|".$DOC_SER."|".$DOC_NUM."|".$DOC_TOT."|".$r['FEC']."|".$CLI_NDI;
?>